h1 {
    margin-top: 0;
    margin-bottom: 3rem;
}
h2 {
    margin-top: 3rem;
    margin-bottom: 2rem;
}
h3 {
    margin-top: 2rem;
    margin-bottom: 1rem;
}
h4 {
    font-weight: bold;
    font-size: 1.2rem;
}
h1, h2, h3 {
    color: rgb(74, 74, 74);
}
h2, h3, h4 {
    /* add an offset to make the anchor links work */
    scroll-margin-top: 100px;
}

a {
    color: #0681be;
}
a:hover {
    color: #065E8A;
}
nav.navbar {
    padding: 0;
    border-bottom: 1px solid #a4a4a4;
    background-color: white;
}
nav.navbar .navbar-brand {
    padding: 20px 0 20px 0;
    margin-right: 20px;
}
nav.navbar .navbar-brand img {
    width: 140px;
}
nav.navbar .navbar-nav .nav-link {
    font-size: 14px;

    font-weight: 700;
    text-align: center;
    text-transform: uppercase;
    color: black;

    -webkit-transition: color 0.5s;
    transition: color 0.5s;
}
nav.navbar .navbar-nav .nav-link:focus,
nav.navbar .navbar-nav .nav-link:hover {
    color: #0681be;
}
.dropdown-menu {
    border-radius: 0;
    border: 1px solid rgb(164, 164, 164);
}
main {
    height: 1000000px;
    padding-top: 40px;
    padding-bottom: 40px;
}
footer {
    border-top: 1px solid rgb(164, 164, 164);
    padding: 1rem 0;
}
table.table {
    overflow-wrap: break-word;
    margin-bottom: 1rem;
    font-size: small;
    background-color: white;
}
table.table-fixed {
    table-layout: fixed;
}
table.table thead th {
    vertical-align: top;
}
table.table tbody.closed {
    opacity: 0.2;
}
/*a {
    word-break: break-all;
}*/
a.toggle-table,
a.toggle-group {
    display: block;
    float: right;
}
.experiments-toggle a.toggle-group {
    float: none;
}
a.toggle-group {
    position: relative;
    margin-right: 15px;
}
a.toggle-group .toggle-group-up,
a.toggle-group .toggle-group-down {
    position: absolute;
    font-weight: bold;
    margin-left: 5px;
}
a.toggle-group .toggle-group-up {
    top: -4px;
}
a.toggle-group .toggle-group-down {
    top: 4px;
}
th .toggle-group {
    color: white;
    font-weight: normal;
    margin-right: 0;
}
button.toggle-table {
    display: block;
    margin-top: -0.5rem;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 1rem;
    background-color: white;
    border: 1px solid rgb(164, 164, 164);
    font-size: smaller;
}
button.toggle-table:focus {
    outline: 0;
}
tr.separator td {
    padding: 1px 0 0 0;
    background-color: #dee2e6;
}
tr.sens-title td {
    padding-top: 0.25rem;
    padding-bottom: 0.25rem;
}
td :last-child {
    margin-bottom: 0;
}
td > ul {
    padding-left: 1.2rem;
}
td > ul > li {
    margin-bottom: 0.5rem;
}
td > ul > li > ul {
    margin-top: 0.5rem;
    padding-left: 1.2rem;
}
td > ul > li > ul > li {
    margin-bottom: 0.5rem;
}
td p {
    margin-bottom: 0.5rem;
}
td.background {
    background-color: #efefef;
}
td.extra-border-bottom {
    border-bottom-width: 3px;
}
td.no-border-bottom {
    border-bottom-color: transparent;
}
td .badge {
    margin-right: 3px;
}
caption {
    caption-side: top;
    padding-top: 0;
}
pre {
    color: white;
    background-color: #343a40;
    padding: 0.5rem 1rem;
    white-space: pre-wrap;
}
pre code {
    font-size: smaller;
    background-color: transparent;
    padding: 0;
}
code {
    word-break: break-all;
}
.title .badge-sector {
    margin-right: 3px;
}
.toc,
.config {
    width: 260px;
    float: right;
    margin-left: 1rem;
    margin-bottom: 1rem;
    font-size: small;
}
.config,
.toc {
    border: 1px solid rgb(164, 164, 164);
}
.dropdown-menu .toc,
.dropdown-menu .config {
    border: none;
    margin: 0;
    padding: 0 1rem;
}
.toc > ul {
    padding-left: 1rem;
    padding-bottom: 0.5rem;
    margin: 0;
}
.toc li {
    list-style: none;
}
.toc li > ul {
    padding-left: 1.5rem;
}
.toctitle {
    display: block;
    font-weight: bold;
    margin-top: 0.5rem;
    margin-right: 1rem;
    margin-left: 1rem;
}
.dropdown-menu .toc > ul {
    margin: 0;
    padding: 0;
}
.dropdown-menu .toctitle {
    margin-right: 0;
}
.config {
    padding: 0.5rem 1rem;
}
.show-component,
.pattern-component {
    margin-bottom: 1rem;
}
.show-component h3:first-child {
    margin-top: 0;
}
.show-component p:last-child,
.show-component ul:last-child,
.show-component pre:last-child,
.show-component [data-component="table"]:last-child table,
.pattern-component pre:last-child {
    margin-bottom: 0;
}
.show-component .badge {
    margin-left: 3px;
    margin-right: 0;
}
.show-component.simulation_round {
    border: 1px solid #faba53;
    background-color: rgba(250, 186, 83, 0.1);
    padding: .5rem;
}
.show-component.sectors,
.pattern-component.sectors {
    border: 1px solid #28a745;
    background-color: rgba(40, 167, 69, 0.01);
    padding: .5rem;
}
.show-component > .float-right {
    text-align: right;
    max-width: 38%;
}
em.sector {
    font-style: normal;
    color: #28a745;
}
.hidden {
    display: none;
}
.cover {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 9998;
    background-color: white;
}
.alert {
    color: #fff;
    background-color: #343a40;
    border-color: #454d55;
    border-radius: 0;
    font-size: small;
    font-weight: bold;
    padding: .75rem;
}
.badge-mandatory {
    cursor: help;
}
.badge-soc-forcing {
    background-color: #556B2F;
}
.badge-split .badge-info {
    border: 1px solid #17a2b8;
}
.badge-split .badge-left {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
    background-color: white;
}
.badge-split .badge-right {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}
.circle,
.circle-left,
.circle-right {
    display: inline-block;
    margin-top: 1px !important;
    margin-bottom: -1px !important;
}
.circle {
    height: 8px;
    width: 8px;
    border-radius: 4px;
}
.circle-left {
    height: 8px;
    width: 4px;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}
.circle-right {
    height: 8px;
    width: 4px;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}
.circle-green {
    background-color: #28a745;
}
.circle-yellow {
    background-color: #ffc107;
}

.w-70 {
    width: 70%;
}
[title] {
    cursor: help;
}
td.nowrap {
    padding: 0;
}
td.nowrap > div {
    padding: 0.75rem;
    overflow-x: auto;
    white-space: nowrap;
}
.pre {
    white-space: pre;
}

.doi-link:before {
    display: inline-block;
    vertical-align: middle;
    content: ' ';
    background-image: url('DOI.svg');
    background-size: 16px 16px;
    height: 16px;
    width: 16px;
    margin-bottom: 2px;
    margin-right: 4px;
    margin-left: 1px;
}
.doi-link {
    word-break: break-all;
}

.resolution-list {
    border-top: 1px solid #dee2e6;
    margin-bottom: 0.75rem;
    padding-top: 0.75rem;
}
.resolution-list:first-child {
    border-top: none;
    padding-top: 0;
}
.group3-update {
    border: 1px solid #17a2b8;
    background-color: rgba(23, 162, 184, 0.1);
    padding: .5rem;
    margin-bottom: 20px;
}
.group3-update .badge-split {
    vertical-align: top;
    font-size: small;
}
.group3-update > :last-child {
    margin-bottom: 0;
}

@media print {
    body {
        /* fix colors in printing */
        -webkit-print-color-adjust: exact;
        color-adjust: exact;
    }
    h1 {
        margin-bottom: 2rem;
    }
    h2, h3 {
        break-inside: avoid;
        break-after: avoid;
    }
    h2::before,
    h3::before,
    h4::before {
        content: none;
    }
    .config,
    .toc,
    .toggle-group {
        display: none !important;
    }
    [data-identifier="experiments"] td:first-child {
        height: 140px !important;
    }
    table thead {
        display: table-row-group;
    }
    @page {
        margin: 1in;
    }
}
@media (max-width: 768px) {
    .toc {
        width: auto;
    }
    .config {
        float: none;
        margin-left: 0;
    }
}
